-- the service table is renamed to catalogitem and all columns that identify a catalog item are renamed from serviceid to catalogitemid
ALTER TABLE service RENAME TO catalogitem;

ALTER TABLE catalogitem ALTER COLUMN serviceid RENAME TO catalogitemid;
ALTER TABLE item ALTER COLUMN serviceid RENAME TO catalogitemid;
ALTER TABLE taxrate ALTER COLUMN serviceid RENAME TO catalogitemid;

ALTER TABLE catalogitem DROP CONSTRAINT fk_service_businessid;
ALTER TABLE catalogitem ADD CONSTRAINT fk_catalogitem_businessid FOREIGN KEY(businessid) REFERENCES business(businessid);

ALTER TABLE item DROP CONSTRAINT fk_item_serviceid;
ALTER TABLE item ADD CONSTRAINT fk_item_catalogitemid FOREIGN KEY(catalogitemid) REFERENCES catalogitem(catalogitemid);

ALTER TABLE taxrate DROP CONSTRAINT fk_taxrate_serviceid;
ALTER TABLE taxrate ADD CONSTRAINT fk_taxrate_catalogitemid FOREIGN KEY(catalogitemid) REFERENCES catalogitem(catalogitemid);